## neutron 14.4.2

=== debian/changelog ===
neutron (2:14.4.2-0ubuntu1~cloud2) bionic-stein; urgency=medium

  * Backport fix for dvr-snat missig rfp interfaces (LP: #1894843)
    - d/p/0001-Fix-deletion-of-rfp-interfaces-when-router-is-re-ena.patch

 -- Hemanth Nakkina <hemanth.nakkina@canonical.com>  Mon, 22 Mar 2021 09:45:31 +0530

neutron (2:14.4.2-0ubuntu1~cloud1) bionic-stein; urgency=medium

  * d/p/fix-dvr-source-mac-flows.patch: Fix DVR source mac flows when non-gateway
    port on router is deleted (LP: #1892405).

 -- Hemanth Nakkina <hemanth.nakkina@canonical.com>  Wed, 13 Jan 2021 15:26:07 +0530

neutron (2:14.4.2-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New stable point release for OpenStack Stein (LP: #1912324).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 19 Jan 2021 11:29:48 +0000

neutron (2:14.4.1-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New stable point release for OpenStack Stein (LP: #1904563).
  * d/p/Ensure-fip-ip-rules-deleted-when-fip-removed.patch: Deleted because change
    landed upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 18 Nov 2020 14:50:10 +0000

neutron (2:14.4.0-0ubuntu1~cloud1) bionic-stein; urgency=medium

  * d/p/revert-keepalived-use-no-track-default.patch: Include unit tests
    in revert.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 15 Oct 2020 11:49:49 +0000

neutron (2:14.4.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New stable point release for OpenStack Stein (LP: #1899051).
  * d/p/skip-iptest.patch: Refreshed.
  * d/p/revert-keepalived-use-no-track-default.patch: Revert new default that
    breaks on Ubuntu releases before Focal (LP: #1896506).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 12 Oct 2020 12:18:58 +0000

neutron (2:14.3.1-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New stable point release for OpenStack Stein (LP: #1896478).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 21 Sep 2020 14:13:41 +0000

neutron (2:14.3.0-0ubuntu1~cloud2) bionic-stein; urgency=medium

  * d/p/Ensure-fip-ip-rules-deleted-when-fip-removed.patch
    Backport fix for dvr fip ip rule cleanup (LP: #1891673)

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Tue, 08 Sep 2020 23:10:49 +0100

neutron (2:14.3.0-0ubuntu1~cloud1) bionic-stein; urgency=medium

  * d/control: Drop python3-isort BD as it is not required
    for successful build.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 03 Aug 2020 11:24:00 -0400

neutron (2:14.3.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New stable point release for OpenStack Stein (LP: #1888203).
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 03 Aug 2020 13:07:29 +0000

neutron (2:14.2.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New stable point release for OpenStack Stein (LP: #1884028).
  * d/control: Align (Build-)Depends with upstream.
  * d/p/lp1877797.patch: Dropped. Fixed upstream in 14.2.0.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 18 Jun 2020 07:46:23 +0000

neutron (2:14.1.0-0ubuntu1~cloud1) bionic-stein; urgency=medium

  * d/p/lp1877797.patch: Cherry pick fix to resolve issues with
    remote security groups when used with the OVS firewall driver
    (LP: #1877797).

 -- James Page <james.page@ubuntu.com>  Mon, 11 May 2020 08:08:06 +0100

neutron (2:14.1.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * d/watch: Update tarball URL to opendev.org.
  * New stable point release for OpenStack Stein (LP: #1871126).
  * d/p/stop-verifying-unique-external_net_id.patch: Dropped. Fixed
    in stable point release.
  * d/rules: Add OS_* env vars to override_dh_auto_test inline with upstream
    tox.ini to ensure test_not_called_with_low_log_level() doesn't fail.
    LOG.debug() calls don't appear to doing anything without the env vars.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Apr 2020 12:35:23 -0400

neutron (2:14.0.4-0ubuntu1~cloud1) bionic-stein; urgency=medium

  * d/p/stop-verifying-unique-external_net_id.patch: Cherry-picked
    from upstream stable/stein to drop L3 agent code that generates
    exception when there are multiple external networks (LP: #1857126).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Feb 2020 10:30:15 -0500

neutron (2:14.0.4-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New stable point release for OpenStack Stein (LP: #1858934).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Jan 2020 08:48:11 -0500

neutron (2:14.0.3-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 13 Dec 2019 12:59:21 +0000

=== debian/control ===
Source: neutron
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 crudini,
 python3-alembic (>= 0.8.10),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-debtcollector (>= 1.2.0),
 python3-designateclient (>= 2.7.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-httplib2 (>= 0.9.1),
 python3-jinja2 (>= 2.10),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-mock (>= 2.0.0),
 python3-netaddr (>= 0.7.18),
 python3-netifaces (>= 0.10.4),
 python3-neutron-lib (>= 1.25.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-openvswitch (>= 2.8.0),
 python3-os-ken (>= 0.3.0),
 python3-os-testr (>= 1.0.0),
 python3-os-xenapi (>= 0.3.1),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.37.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.privsep (>= 1.32.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 0.1.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.35.1),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-ovsdbapp (>= 0.9.1),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pecan (>= 1.3.2),
 python3-pep8,
 python3-psutil (>= 3.2.2),
 python3-pymysql (>= 0.7.6),
 python3-pyroute2 (>= 0.5.3),
 python3-requests (>= 2.14.2),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-sphinx (>= 1.6.2),
 python3-sqlalchemy (>= 1.2.0),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-tempest (>= 1:16.1.0),
 python3-tenacity (>= 3.2.1),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.8.2),
 python3-webtest (>= 2.0.27),
 rename,
Standards-Version: 4.1.4
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron
Homepage: https://docs.openstack.org/neutron

Package: neutron-common
Architecture: all
Depends:
 adduser,
 ipset,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 neutron-dhcp-agent (<< 2:13.0.0-0ubuntu3~),
 neutron-l3-agent (<< 2:13.0.0-0ubuntu3~),
 neutron-linuxbridge-agent (<< 2:13.0.0-0ubuntu3~),
 neutron-macvtap-agent (<< 2:13.0.0-0ubuntu3~),
 neutron-metadata-agent (<< 2:13.0.0-0ubuntu3~),
 neutron-metering-agent (<< 2:13.0.0-0ubuntu3~),
 neutron-openvswitch-agent (<< 2:13.0.0-0ubuntu3~),
 neutron-plugin-ml2 (<< 2:13.0.0-0ubuntu3~),
 neutron-server (<< 2:2:13.0.0-0ubuntu3~),
 neutron-sriov-agent (<< 2:13.0.0-0ubuntu3~),
Replaces:
 neutron-dhcp-agent (<< 2:13.0.0-0ubuntu3~),
 neutron-l3-agent (<< 2:13.0.0-0ubuntu3~),
 neutron-linuxbridge-agent (<< 2:13.0.0-0ubuntu3~),
 neutron-macvtap-agent (<< 2:13.0.0-0ubuntu3~),
 neutron-metadata-agent (<< 2:13.0.0-0ubuntu3~),
 neutron-metering-agent (<< 2:13.0.0-0ubuntu3~),
 neutron-openvswitch-agent (<< 2:13.0.0-0ubuntu3~),
 neutron-plugin-ml2 (<< 2:13.0.0-0ubuntu3~),
 neutron-server (<< 2:2:13.0.0-0ubuntu3~),
 neutron-sriov-agent (<< 2:13.0.0-0ubuntu3~),
Description: Neutron is a virtual network service for Openstack - common
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 python-pbr (>= 2.0.0),
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the common files.

Package: neutron-dhcp-agent
Architecture: all
Depends:
 dnsmasq-base (>= 2.76),
 dnsmasq-utils (>= 2.76),
 neutron-metadata-agent (= ${source:Version}),
 python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - DHCP agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the DHCP agent.

Package: neutron-l3-agent
Architecture: all
Depends:
 conntrack,
 iputils-arping,
 keepalived,
 neutron-metadata-agent (= ${source:Version}),
 python3-neutron (= ${source:Version}),
 python3-neutron-fwaas (>= 1:13.0.0~),
 radvd,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - l3 agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the layer 3 routing agent.

Package: neutron-linuxbridge-agent
Architecture: all
Depends:
 bridge-utils,
 conntrack,
 ebtables,
 python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Breaks:
 neutron-plugin-linuxbirdge-agent ( << 2:8.0.0~b2-0ubuntu5~ ),
 neutron-plugin-ml2 ( << 2:8.0.0~b2-0ubuntu5~ ),
Replaces:
 neutron-plugin-linuxbridge-agent ( << 2:8.0.0~b2-0ubuntu5~ ),
 neutron-plugin-ml2 ( << 2:8.0.0~b2-0ubuntu5~ ),
Description: Neutron is a virtual network service for Openstack - linuxbridge agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the linuxbridge plugin agent.

Package: neutron-macvtap-agent
Architecture: all
Depends:
 python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - Macvtap L2 Agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Macvtap L2 Agent.

Package: neutron-metadata-agent
Architecture: all
Depends:
 haproxy,
 python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - metadata agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the metadata proxy agent.

Package: neutron-metering-agent
Architecture: all
Depends:
 python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Breaks:
 neutron-plugin-metering-agent ( << 1:2014.1~b3-0ubuntu2~ ),
Replaces:
 neutron-plugin-metering-agent ( << 1:2014.1~b3-0ubuntu2~ ),
Description: Neutron is a virtual network service for Openstack - metering agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the metering agent.

Package: neutron-openvswitch-agent
Architecture: all
Depends:
 conntrack,
 openvswitch-switch,
 python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Breaks:
 neutron-plugin-ml2 ( << 2:8.0.0~b2-0ubuntu5~ ),
 neutron-plugin-openvswitch-agent ( << 2:8.0.0~b2-0ubuntu1~ ),
Replaces:
 neutron-plugin-ml2 ( << 2:8.0.0~b2-0ubuntu5~ ),
 neutron-plugin-openvswitch-agent ( << 2:8.0.0~b2-0ubuntu1~ ),
Description: Neutron is a virtual network service for Openstack - Open vSwitch plugin agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Open vSwitch plugin agent.

Package: neutron-plugin-ml2
Architecture: all
Provides:
 neutron-plugin,
Depends:
 python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - ML2 plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Modular Layer 2 plugin.

Package: neutron-server
Architecture: all
Depends:
 adduser,
 python3-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 neutron-plugin-ml2,
Description: Neutron is a virtual network service for Openstack - server
 Neutron is a virtual network service for Openstack, and a part of

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python3,systemd

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
	rm -rf $(CURDIR)/debian/python*-neutron/usr/etc/neutron

override_dh_install:
	PYTHONPATH=$(CURDIR) $(CURDIR)/tools/generate_config_file_samples.sh
	find $(CURDIR)/etc -type f | xargs rename 's/\.sample$$//'a
	crudini --merge $(CURDIR)/etc/neutron.conf < $(CURDIR)/debian/neutron.conf.defaults
	dh_install --fail-missing -X/usr/etc

override_dh_systemd_enable:
	dh_systemd_enable -pneutron-openvswitch-agent --name=neutron-ovs-cleanup \
		neutron-ovs-cleanup.service
	dh_systemd_enable -pneutron-linuxbridge-agent --name=neutron-linuxbridge-cleanup \
		neutron-linuxbridge-cleanup.service
	dh_systemd_enable

override_dh_installinit:
	dh_installinit -pneutron-openvswitch-agent --no-start \
        --name=neutron-ovs-cleanup
	dh_installinit -pneutron-linuxbridge-agent --no-start \
        --name=neutron-linuxbridge-cleanup
	dh_installinit --error-handler=true

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/*.upstart debian/*.init debian/*.service .testrepository

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	OS_LOG_CAPTURE=true \
	OS_STDOUT_CAPTURE=true \
	OS_STDERR_CAPTURE=true \
	pkgos-dh_auto_test --no-py2
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/neutron neutron-(14\.\d.*)\.tar\.gz

## neutron 15.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=4.0.0 # Apache-2.0

Paste>=2.0.2 # MIT
PasteDeploy>=1.5.0 # MIT
Routes>=2.3.1 # MIT
debtcollector>=1.2.0 # Apache-2.0
decorator>=3.4.0 # BSD
eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
pecan>=1.3.2 # BSD
httplib2>=0.9.1 # MIT
requests>=2.14.2 # Apache-2.0
Jinja2>=2.10 # BSD License (3 clause)
keystonemiddleware>=4.17.0 # Apache-2.0
netaddr>=0.7.18 # BSD
netifaces>=0.10.4 # MIT
neutron-lib>=1.29.1 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
tenacity>=3.2.1 # Apache-2.0
SQLAlchemy>=1.2.0 # MIT
WebOb>=1.8.2 # MIT
keystoneauth1>=3.4.0 # Apache-2.0
alembic>=0.8.10 # MIT
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0
oslo.cache>=1.26.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.37.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.privsep>=1.32.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.upgradecheck>=0.1.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.versionedobjects>=1.35.1 # Apache-2.0
osprofiler>=2.3.0 # Apache-2.0
os-ken >= 0.3.0 # Apache-2.0
ovs>=2.8.0 # Apache-2.0
ovsdbapp>=0.9.1 # Apache-2.0
psutil>=3.2.2 # BSD
pyroute2>=0.5.3;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)
weakrefmethod>=1.0.2;python_version=='2.7' # PSF

python-novaclient>=9.1.0 # Apache-2.0
openstacksdk>=0.31.2 # Apache-2.0
python-designateclient>=2.7.0 # Apache-2.0
os-xenapi>=0.3.1 # Apache-2.0
os-vif>=1.15.1 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4' # BSD
openstackdocstheme>=1.30.0 # Apache-2.0
oslotest>=3.2.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
neutron (2:15.0.0-3) unstable; urgency=medium

  * Updated nl.po debconf translations (Closes: #945028).
  * Updated pt.po debconf translations (Closes: #943863).
  * Updated de.po debconf translations (Closes: #943854).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Dec 2019 14:09:03 +0100

neutron (2:15.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 23:44:23 +0200

neutron (2:15.0.0-1) experimental; urgency=medium

  * Added da.po (Closes: #923130).
  * Updated pt.po (Closes: #919200).
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 16:27:00 +0200

neutron (2:15.0.0~rc1-2) experimental; urgency=medium

  * Add missing haproxy depends in neutron-l3-agent.
  * Add the neccessary debconf stuff to stop modifying config files on
    upgrades.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Sep 2019 10:53:03 +0200

neutron (2:15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Update neutron.conf generator namespace list.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Sep 2019 21:40:02 +0200

=== debian/control ===
Source: neutron
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
 Gustavo Panizzo <gfa@zumbi.com.ar>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 bridge-utils,
 python3-cliff,
 python3-coverage,
 python3-ddt,
 python3-debtcollector,
 python3-decorator,
 python3-designateclient,
 python3-eventlet,
 python3-fixtures,
 python3-flake8,
 python3-gevent,
 python3-gflags,
 python3-hacking,
 python3-httplib2,
 python3-jinja2,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-mock (>= 3.0.0),
 python3-netaddr,
 python3-netifaces,
 python3-neutron-lib (>= 1.29.1),
 python3-neutronclient,
 python3-novaclient,
 python3-openstackdocstheme,
 python3-openstacksdk (>= 0.31.2),
 python3-openvswitch,
 python3-os-ken,
 python3-os-vif (>= 1.15.1),
 python3-os-xenapi,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.privsep (>= 1.32.0),
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects (>= 1.35.1),
 python3-oslotest,
 python3-osprofiler,
 python3-ovsdbapp,
 python3-paste,
 python3-pastedeploy,
 python3-pecan,
 python3-pep8,
 python3-psutil,
 python3-pycodestyle,
 python3-pymysql,
 python3-pyroute2 (>= 0.5.4),
 python3-pyudev,
 python3-requests,
 python3-routes,
 python3-six,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-tempest,
 python3-tenacity,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-unittest2,
 python3-webob,
 python3-webtest,
 tempest,
Standards-Version: 4.4.1
Homepage: http://neutron.openstack.org/
Vcs-Browser: https://salsa.debian.org/openstack-team/services/neutron
Vcs-Git: https://salsa.debian.org/openstack-team/services/neutron.git

Package: neutron-api
Architecture: all
Depends:
 adduser,
 debconf,
 neutron-common (= ${source:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Breaks:
 neutron-server (<< 2:12.0.2-5~),
Replaces:
 neutron-server (<< 2:12.0.2-5~),
Description: OpenStack virtual network service - API service
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron API server.

Package: neutron-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 dpkg-dev,
 python3-neutron (= ${source:Version}),
 python3-openstackclient,
 python3-pyparsing,
 python3-sqlalchemy,
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 neutron-plugin,
 neutron-plugin-bigswitch,
 neutron-plugin-brocade,
 neutron-plugin-cisco,
 neutron-plugin-hyperv,
 neutron-plugin-linuxbridge,
 neutron-plugin-metaplugin,
 neutron-plugin-ml2,
 neutron-plugin-nec,
 neutron-plugin-nicira,
 neutron-plugin-openvswitch,
 neutron-plugin-plumgrid,
 neutron-plugin-ryu,
Description: OpenStack virtual network service - common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the common files.

Package: neutron-dhcp-agent
Architecture: all
Depends:
 adduser,
 dnsmasq-base,
 dnsmasq-utils,
 neutron-common (= ${source:Version}),
 sudo,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack virtual network service - DHCP agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the DHCP agent.

Package: neutron-l3-agent
Architecture: all
Depends:
 adduser,
 debconf,
 haproxy,
 iputils-arping,
 keepalived,
 neutron-common (= ${source:Version}),
 radvd,
 sudo,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Recommends:
 openvswitch-switch,
Conflicts:
 neutron-vpn-agent,
Description: OpenStack virtual network service - l3 agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the l3 agent.

Package: neutron-linuxbridge-agent
Architecture: all
Provides:
 neutron-plugin-linuxbridge-agent,
Depends:
 bridge-utils,
 ebtables,
 neutron-common (= ${source:Version}),
 sudo,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack virtual network service - Linux bridge agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Linux bridge agent. If you choose to use the Linux
 bridge plugin on neutron-server, this agent should run on each compute node.

Package: neutron-macvtap-agent
Architecture: all
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
 ${shlibs:Depends},
Description: OpenStack virtual network service - MacVTap Agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the MacVTap Agent.

Package: neutron-metadata-agent
Architecture: all
Depends:
 adduser,
 haproxy,
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack virtual network service - metadata agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the metadata proxy agent.

Package: neutron-metering-agent
Architecture: all
Depends:
 adduser,
 debconf,
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Provides:
 neutron-plugin-metering-agent,
Description: OpenStack virtual network service - metering agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron metering agent.

Package: neutron-openvswitch-agent
Architecture: all
Pre-Depends:
 openvswitch-switch,
Provides:
 neutron-plugin-openvswitch-agent,
Depends:
 neutron-common (= ${source:Version}),
 sudo,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Recommends:
 openvswitch-datapath-dkms,
Description: OpenStack virtual network service - Open vSwitch agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Open vSwitch agent. If you choose to use the Open
 vSwitch plugin on neutron-server, this agent should run on each compute node.

Package: neutron-plugin-nec-agent
Architecture: all
Depends:
 neutron-common (= ${source:Version}),
 sudo,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - NEC agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the NEC plugin agent.

Package: neutron-rpc-server
Architecture: all
Depends:
 adduser,
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack virtual network service - RPC service
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron RPC server.

Package: neutron-server
Architecture: all
Depends:
 neutron-api (= ${source:Version}),
 neutron-rpc-server (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - metapackage for the server
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 As the Debian packages switched to Python 3, it isn't possible to run using
 Eventlet (ie: the standalone neutron-server daemon) if we use SSL, because of
 defects in python3-eventlet. So the Debian package maitainer decided to switch
 to uwsgi instead. In this mode, one needs to also run neutron-rpc-server to
 listen for requests on the message bus (ie: rabbitmq in most cases). For this
 reason, the neutron-server package has been split into neutron-api and
 neutron-rpc-server.
 .
 Transition package for neutron-server.

Package: neutron-sriov-agent
Architecture: all
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
 ${shlibs:Depends},
Description: OpenStack virtual network service - SR-IOV agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Mellanox SR-IOV agent.

Package: python3-neutron
Architecture: all
Section: python
Depends:
 alembic,
 conntrack,
 iproute2,
 ipset,
 python3-debtcollector,
 python3-decorator,
 python3-designateclient,
 python3-eventlet,
 python3-gevent,
 python3-gflags,
 python3-httplib2,
 python3-jinja2,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-netaddr,
 python3-netifaces,
 python3-neutron-lib (>= 1.29.1),
 python3-neutronclient,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

DHCP_CONF=$(CURDIR)/debian/neutron-common/usr/share/neutron-common/dhcp_agent.ini
L3_CONF=$(CURDIR)/debian/neutron-common/usr/share/neutron-common/l3_agent.ini
ML2_CONF=$(CURDIR)/debian/neutron-common/usr/share/neutron-common/plugins/ml2/ml2_conf.ini
OVS_CONF=$(CURDIR)/debian/neutron-common/usr/share/neutron-common/plugins/ml2/openvswitch_agent.ini
N_CONF=$(CURDIR)/debian/neutron-common/usr/share/neutron-common/neutron.conf

%:
	dh $@ --buildsystem=python_distutils --with python3,systemd

override_dh_auto_clean:
	python3 setup.py clean
	find . -type f -name "*.pyc" | xargs rm -fr
	rm -rf build neutron.egg-info .stestr
	rm -f debian/neutron-common.config \
		debian/neutron-common.postinst \
		debian/neutron-api.config \
		debian/neutron-api.postinst \
		debian/neutron-dhcp-agent.postinst \
		debian/neutron-metadata-agent.config \
		debian/neutron-metadata-agent.postinst \
		debian/neutron-common.postrm
	rm -f debian/*.init debian/*.service debian/*.upstart debian/neutron-common.templates

override_dh_clean:
	dh_clean
	find . -type f -name "*.pyc" -delete
	rm -f AUTHORS ChangeLog

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-dhcp-agent.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-metadata-agent.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-metadata-agent.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-openvswitch-agent.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-openvswitch-agent.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm neutron-common.postrm
	pkgos-merge-templates neutron-api neutron endpoint
	pkgos-merge-templates neutron-common neutron db rabbit ksat

override_dh_auto_test:
	echo "Doing nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	python3 setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'neutron\.tests\.unit(?!.*test_wsgi.*|.*agent\.dhcp\.test_agent\.TestDhcpAgent\.test_dhcp_agent_manager.*|.*common\.test_utils\.TestDelayedStringRenderer\.test_not_called_with_low_log_level.*)'
endif

	cp -auxf neutron $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages
	rm -rf $(CURDIR)/debian/tmp/usr/etc

	# dhcp_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-common/usr/share/neutron-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-common/usr/share/neutron-common/dhcp_agent.ini \
		--wrap-width 140 \
		--namespace neutron.az.agent \
		--namespace neutron.base.agent \
		--namespace neutron.dhcp.agent \
		--namespace oslo.log

	pkgos-fix-config-default $(DHCP_CONF) DEFAULT interface_driver openvswitch
	pkgos-fix-config-default $(DHCP_CONF) DEFAULT enable_isolated_metadata True

	# l3_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-common/usr/share/neutron-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-common/usr/share/neutron-common/l3_agent.ini \
		--wrap-width 140 \
		--namespace neutron.az.agent \
		--namespace neutron.base.agent \
		--namespace neutron.l3.agent \
		--namespace oslo.log

	pkgos-fix-config-default $(L3_CONF) DEFAULT interface_driver openvswitch
	pkgos-fix-config-default $(L3_CONF) DEFAULT external_network_bridge br-ex
	pkgos-fix-config-default $(L3_CONF) DEFAULT ovs_use_veth False

	# linuxbridge_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-linuxbridge-agent/etc/neutron/plugins/ml2
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-linuxbridge-agent/etc/neutron/plugins/ml2/linuxbridge_agent.ini \
		--wrap-width 140 \
		--namespace neutron.ml2.linuxbridge.agent \
		--namespace oslo.log

	# openvswitch_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-common/usr/share/neutron-common/plugins/ml2
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-common/usr/share/neutron-common/plugins/ml2/openvswitch_agent.ini \
		--wrap-width 140 \
		--namespace neutron.ml2.ovs.agent \
		--namespace neutron.ml2.xenapi \
		--namespace oslo.log

	pkgos-fix-config-default ${OVS_CONF} agent tunnel_types vxlan
	pkgos-fix-config-default ${OVS_CONF} ovs bridge_mappings external:br-ex
	pkgos-fix-config-default ${OVS_CONF} ovs integration_bridge br-int
	pkgos-fix-config-default ${OVS_CONF} ovs tunnel_bridge br-tun
	pkgos-fix-config-default ${OVS_CONF} securitygroup firewall_driver openvswitch
	pkgos-fix-config-default ${OVS_CONF} securitygroup enable_security_group True
	pkgos-fix-config-default ${OVS_CONF} securitygroup enable_ipset True

	# macvtap_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-macvtap-agent/etc/neutron/plugins/ml2
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-macvtap-agent/etc/neutron/plugins/ml2/macvtap_agent.ini \
		--wrap-width 140 \
		--namespace neutron.ml2.macvtap.agent \
		--namespace oslo.log

	# metadata_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-common/usr/share/neutron-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-common/usr/share/neutron-common/metadata_agent.ini \
		--wrap-width 140 \
		--namespace neutron.metadata.agent \
		--namespace oslo.log \
		--namespace oslo.cache
#	sed -i 's|^[ #\t]*nova_metadata_protocol[ \t]*=.*|nova_metadata_protocol = http|' $(CURDIR)/debian/neutron-metadata-agent/usr/share/neutron-metadata-agent/metadata_agent.ini
#	sed -i 's|^[ #\t]*nova_metadata_ip[ \t]*=.*|nova_metadata_ip = 127.0.0.1|' $(CURDIR)/debian/neutron-metadata-agent/usr/share/neutron-metadata-agent/metadata_agent.ini

	# metering_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-metering-agent/etc/neutron
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-metering-agent/etc/neutron/metering_agent.ini \
		--wrap-width 140 \
		--namespace neutron.base.agent \
		--namespace neutron.metering.agent \
		--namespace oslo.log

	# ml2_conf.ini

	mkdir -p $(CURDIR)/debian/neutron-common/usr/share/neutron-common/plugins/ml2
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-common/usr/share/neutron-common/plugins/ml2/ml2_conf.ini \
		--wrap-width 140 \
		--namespace neutron.ml2 \
		--namespace oslo.log

	pkgos-fix-config-default $(ML2_CONF) ml2 type_drivers flat,vxlan
	pkgos-fix-config-default $(ML2_CONF) ml2 tenant_network_types vxlan
	pkgos-fix-config-default $(ML2_CONF) ml2 mechanism_drivers openvswitch,l2population
	pkgos-fix-config-default $(ML2_CONF) ml2_type_flat flat_networks external
	pkgos-fix-config-default $(ML2_CONF) ml2_type_vxlan vni_ranges 1:1000
	pkgos-fix-config-default $(ML2_CONF) securitygroup enable_security_group True
	pkgos-fix-config-default $(ML2_CONF) securitygroup enable_ipset True
	pkgos-fix-config-default $(ML2_CONF) ml2 extension_drivers port_security,qos
	
	# neutron.conf
	mkdir -p $(CURDIR)/debian/neutron-common/usr/share/neutron-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \

## neutron 15.0.1

=== debian/changelog ===
neutron (2:15.0.1-0ubuntu1) eoan; urgency=medium

  * d/gbp.conf: Create stable/train branch.
  * New stable point release for OpenStack Train (LP: #1858933).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Jan 2020 08:30:05 -0500

neutron (2:15.0.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Wed, 16 Oct 2019 17:03:13 +0100

neutron (2:15.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * d/watch: Track 15.x series.
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2019 13:43:23 +0100

neutron (2:15.0.0~b2~git2019082812.5aa5d61dfd-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Aug 2019 12:58:28 -0400

neutron (2:15.0.0~b2~git2019080820.f41f2a22cf-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Aug 2019 20:45:58 -0400

neutron (2:15.0.0~b1~git2019061359.8c6bb723b1-0ubuntu2) eoan; urgency=medium

  * d/t/neutron-server: Avoid IDENTIFIED BY on GRANT
    [Required for MySQL 8.0 transition]

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 01 Aug 2019 10:59:36 +0200

neutron (2:15.0.0~b1~git2019061359.8c6bb723b1-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/bug1823038.patch,bug1826419.patch,fix-KeyError-in-OVS-
    firewall.patch: Drop, included upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Jun 2019 12:03:21 +0100

neutron (2:14.0.0-0ubuntu2) eoan; urgency=medium

  * d/p/bug1826419.patch: Cherry pick fix to revert incorrect changes
    to internal DNS behaviour (LP: #1826419).

 -- James Page <james.page@ubuntu.com>  Mon, 03 Jun 2019 10:33:42 +0100
